Loading...
Searching...
No Matches
Ogre::PassthroughControllerFunction Class Reference
Core » Animation

Predefined controller function which just passes through the original source directly to dest. More...

`#include <OgrePredefinedControllers.h>`

Inheritance diagram for Ogre::PassthroughControllerFunction:
[legend]

## Public Member Functions

| PassthroughControllerFunction (bool deltaInput=false)
float | calculate (float source) override
Public Member Functions inherited from Ogre::ControllerFunction< float >
| ControllerFunction (bool deltaInput)
| Constructor.
virtual | ~ControllerFunction ()

## Static Public Member Functions

static ControllerFunctionRealPtr | create (bool deltaInput=false)
| Constructor.

## Detailed Description

Predefined controller function which just passes through the original source directly to dest.

## Constructor & Destructor Documentation

## PassthroughControllerFunction()

Ogre::PassthroughControllerFunction::PassthroughControllerFunction | ( | bool | deltaInput = false | ) |

Deprecated
  use create()

## Member Function Documentation

## create()

ControllerFunctionRealPtr Ogre::PassthroughControllerFunction::create | ( | bool | deltaInput = false | ) |

inline static

Constructor.

Parameters

  deltaInput | If true, function will add input values together and wrap at 1.0 before evaluating

## calculate()

float Ogre::PassthroughControllerFunction::calculate | ( | float | source | ) |

override virtual

Implements Ogre::ControllerFunction< float >.

The documentation for this class was generated from the following file:

- OgrePredefinedControllers.h